
Audacious - Feature #1038

Eliminate dependence on QEventDispatcherGlib

December 07, 2020 04:35 - John Lindgren

Status: Closed Start date: December 06, 2020

Priority: Major Due date:  

Assignee: John Lindgren % Done: 100%

Category: win32 Estimated time: 0.00 hour

Target version: 4.1   

Affects version:    

Description

D-Bus support is not working on Windows when running in Qt mode, because Qt is not running a GLib main loop there.

We could try to recompile Qt on Windows with GLib support, but I'm not certain if this would work (there may be parts of Qt that

depend on using QEventDispatcherWin32).

Probably a more portable solution would be to modify dbus-server.cc to run its own main loop in a dedicated thread for D-Bus

operations.

History

#1 - December 08, 2020 05:07 - John Lindgren

- % Done changed from 0 to 100

- Status changed from New to Closed

https://github.com/audacious-media-player/audacious/commit/b7f0019b99b2cd745721d1ff92bf7d5b32f43bb4

#2 - December 21, 2020 20:23 - Thomas Lange

- Target version set to 4.1
